/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:PRED.c 12.0$ */
/* $ACIS:PRED.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libpc/RCS/PRED.c,v $ */

#ifndef lint
static char *rcsid = "$Header:PRED.c 12.0$";
#endif

/* Copyright (c) 1979 Regents of the University of California */

static char sccsid[] = "@(#)PRED.c 1.4 6/10/81";


long
PRED(value, lower, upper)

	long	value;
	long	lower;
	long	upper;
{
	if (value == lower) {
		ERROR("Cannot take pred of first element of a range\n");
		return;
	}
	value--;
	if (value < lower || value > upper) {
		ERROR("Value of %D is out of range\n", value);
		return;
	}
	return	value;
}
